1. Providers
Bardge API (V3)
  • Introduction
  • Authentication
  • Errors
  • Idempotent Requests
  • Pagination
  • Passes
    • Introduction
    • Get All Reseller Passes
      GET
    • Issue a pass
      POST
    • Update user's pass
      POST
    • Update user's pass expiry
      POST
    • Get User Pass Details
      GET
  • Providers
    • Introduction
    • Get providers
      GET
    • Get providers for a pass
      GET
  • Access Codes
    • Introduction
    • Generate dynamic access code
      POST
  • Bookings
    • Introduction
    • Get class categories
      GET
    • Get classes
      GET
    • Get class with instances
      GET
    • Initiate a class booking
      POST
    • Confirm a class booking
      POST
    • Initiate a spa booking
      POST
    • Confirm a spa booking
      POST
    • Get client bookings
      GET
    • Get booking status
      GET
    • Cancel a booking
      POST
  • Co-pay
    • Introduction
  • Credits
    • Introduction
    • Purchase credits
    • Get credit packages
  • Lookup
    • Introduction
    • Get issuers
    • Initiate a lookup
    • Verify a lookup
    • Get a client
    • Get client credits
  • Schemas
    • PasscodeV3Request
    • PurchaseSpaCoPayV3Request
    • LookupInitiateV3Request
    • ResellerV3PasscodeResponse
    • ErrorDetail
    • ResellerV3ErrorResponse
    • LookupV3Response
    • ResellerV3SpaCoPayPurchaseResponse
    • LookupVerifyV3Request
    • SpaCoPayQuoteV3Request
    • IssuePassV3Request
    • PassRef
    • ResellerV3SpaCoPayQuoteResponse
    • CategoryDetails
    • ResellerV3IssuedPassResponse
    • UpdateIssuedPassExpiryV3Request
    • ResellerV3IssuedPassMessageResponse
    • UpdateLookupEnabledRequest
    • UpdateIssuedPassV3Request
    • PurchaseGymCoPayV3Request
    • PurchaseCoPayPackageV3Request
    • PurchaseCreditsV3Request
    • ResellerV3GymCoPayPurchaseResponse
    • ResellerV3CreditPurchaseResponse
    • ResellerV3CoPayPurchaseResponse
    • RescheduleBookingV3Request
    • RefundInfo
    • PasscodeInfo
    • ResellerV3BookingResponse
    • BookSpaV3Request
    • ResellerV3SpaBookingInitiateResponse
    • BookClassV3Request
    • CopayOption
    • ResellerV3ProviderResponse
    • ResellerV3ClassBookingInitiateResponse
    • ResellerV3ServiceResponse
    • ConfirmClassBookingV3Request
    • ResellerV3SpaResponse
    • AccessCodeV3Request
    • ServicePreview
    • ResellerV3AccessCodeResponse
    • ResellerV3ListResponse
    • ResellerV3AccessCodeSessionResponse
    • ResellerV3AvailabilityResponse
    • ConfirmAccessCodeV3Request
    • ResellerV3ClientResponse
    • CategoryDetail
    • ResellerV3CreditsResponse
    • ResellerV3PassResponse
    • ResellerV3ClassInstanceResponse
    • ResellerV3ClassResponse
    • ResellerV3BookingStatusResponse
  1. Providers

Get providers

GET
/v3/api/business/reseller/providers
Returns a paginated list of wellness providers, optionally filtered by category and geographic proximity.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
*/*
Paginated list of providers
Body*/*

🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/api/business/reseller/providers?latitude=6.5244&longitude=3.3792&category=SPA&starting_after=undefined&ending_before=undefined&limit=10' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "object": "list",
    "data": [
        {
            "object": "provider",
            "id": "prov_abc123",
            "name": "Zen Wellness Spa",
            "category": "SPA",
            "address": "12 Marina Road, Lagos Island, Lagos",
            "coordinates": {
                "lat": 6.455,
                "lng": 3.4236
            },
            "distance_km": 2.4,
            "phone": "+2349012345678",
            "services": [
                {
                    "service_category": {
                        "id": 12,
                        "category": "Massage"
                    },
                    "service_offerings": [
                        {
                            "id": "srv_abc123",
                            "name": "Deep Tissue Massage",
                            "description": "60-minute full body massage",
                            "price": 25000,
                            "currency": "NGN",
                            "estimated_duration": 60,
                            "credit_cost": 5,
                            "service_tier": {
                                "id": 4,
                                "tier": "TIER_2"
                            }
                        },
                        {
                            "id": "srv_def456",
                            "name": "Swedish Massage",
                            "description": "45-minute relaxing massage",
                            "price": 15000,
                            "currency": "NGN",
                            "estimated_duration": 45,
                            "credit_cost": 3,
                            "service_tier": {
                                "id": 3,
                                "tier": "TIER_1"
                            }
                        }
                    ]
                }
            ],
            "created": 1746700000000
        }
    ],
    "has_more": true,
    "url": "/v3/api/business/reseller/providers",
    "message": "Providers retrieved successfully"
}
Modified at 2026-05-21 13:30:24
Previous
Introduction
Next
Get providers for a pass
Built with